Page MenuHomePhabricator

Gray interlanguage links entry point to CX must not be shown when translation is impossible
Open, NormalPublic

Description

The red interlanguage link is shown in some circumstances where it does not make much sense and may be confusing to our users:

  • When creating a new page. When I'm creating a new page that does not exist yet, it does not make sense that I'm offered the possibility of translate it to a different language. A screenshot of the issue below:

  • When the article already exist in a language but has not been connected through the interlanguage links. That is, at the very moment I create the article of "Paella" in French (from scratch or by translating from English), I'm told that is missing in Spanish which is not true. I think that if there are no interlanguage links set at all, we should be cautious and not show the red ones (since it is not clear if they are missing or the article is just "disconnected from interlanguage links").
    • T87410 will help to alleviate the issue for articles created with CX, but won't solve it for those created with the regular editors.
    • A couple of users (1) (2) already reported issues due to confusion in this context.

The list may not be exhaustive, so those knowing the technical details may find other problematic contexts.

Similar issues

T94845, T94869, and T96547 are similar issues related to the interlanguage links entry point.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenPginer-WMF
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenAmire80
ResolvedAmire80
OpenNone
OpenNone
ResolvedAmire80
ResolvedAmire80
ResolvedKartikMistry
Resolvedsanthosh
ResolvedKartikMistry
ResolvedAmire80
ResolvedAmire80
ResolvedAmire80
ResolvedEsanders
ResolvedNikerabbit
OpenNone
OpenNone
ResolvedArrbee
OpenAmire80
OpenNone
ResolvedAmire80
OpenNone
OpenNone
StalledNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a subscriber: Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2015, 3:42 PM
Pginer-WMF updated the task description. (Show Details)Apr 2 2015, 3:43 PM
Pginer-WMF set Security to None.
Amire80 claimed this task.Apr 2 2015, 3:53 PM
Amire80 triaged this task as High priority.
Amire80 added a project: good first bug.

Change 201480 had a related patch set uploaded (by Amire80):
Show the red interlanguage link only when reading the article

https://gerrit.wikimedia.org/r/201480

The patch https://gerrit.wikimedia.org/r/201480 should fix the issue with red interlanguage links appearing on edit pages (needs review).

Adding the link after creating an article using CX will indeed be handled in T87410.

When the article already exists, but wasn't linked we should show the red link. The possibility that this will be the first translation is very likely. Maybe we can add a button to the entry point that says something like "But there is an article - let me link it" (suggestions for better wording are very welcome).

Change 201480 merged by jenkins-bot:
Show the red interlanguage link only when reading the article

https://gerrit.wikimedia.org/r/201480

santhosh moved this task from Backlog to Done on the LE-Sprint-85 board.Apr 3 2015, 8:48 AM
santhosh moved this task from Done to In Progress on the LE-Sprint-85 board.Apr 7 2015, 7:17 AM

When the article already exists, but wasn't linked we should show the red link. The possibility that this will be the first translation is very likely. Maybe we can add a button to the entry point that says something like "But there is an article - let me link it" (suggestions for better wording are very welcome).

I think we should invite the user to translate what we are sure it makes sense to translate, and the article not being linked does not provide enough confidence for us to invite the user (since we may be leading the user to create a new translation that already exists, leading the user to waste time, something noone likes). Asking the user to make additional checks, does not seem to be the solution to me since the invitation becomes less trustful (thus, less effective).

santhosh edited a custom field.Apr 8 2015, 6:52 AM
Arrbee moved this task from Needs Triage to CX5 on the ContentTranslation board.Apr 10 2015, 9:51 AM

Change 203364 had a related patch set uploaded (by Amire80):
Don't show the red interlanguage link when creating a page

https://gerrit.wikimedia.org/r/203364

Change 203364 merged by jenkins-bot:
Don't show the red interlanguage link when creating a page

https://gerrit.wikimedia.org/r/203364

Arrbee raised the priority of this task from High to Needs Triage.Apr 21 2015, 9:33 AM
Arrbee edited projects, added Design; removed good first bug.
Arrbee edited a custom field.
Arrbee added a subscriber: Arrbee.

Marked as 'Needs Triage' as it needs further discussion.

Arrbee triaged this task as Normal priority.Apr 30 2015, 9:11 AM
Arrbee raised the priority of this task from Normal to Needs Triage.
Amire80 triaged this task as Normal priority.May 28 2015, 1:06 PM
Amire80 removed a project: Patch-For-Review.
Amire80 moved this task from CX5 to CX6 on the ContentTranslation board.Jul 2 2015, 4:34 PM
Amire80 renamed this task from Red interlanguage links entry point to CX should not be shown when it does not make sense to Gray interlanguage links entry point to CX should not be shown when it does not make sense.Jul 11 2015, 9:43 AM
Amire80 removed Amire80 as the assignee of this task.
Pginer-WMF moved this task from CX6 to CX7 on the ContentTranslation board.Jul 21 2015, 7:38 PM
Nemo_bis renamed this task from Gray interlanguage links entry point to CX should not be shown when it does not make sense to Gray interlanguage links entry point to CX should not be shown when translation is impossible.Dec 20 2015, 9:50 AM
Amire80 renamed this task from Gray interlanguage links entry point to CX should not be shown when translation is impossible to Gray interlanguage links entry point to CX must not be shown when translation is impossible.May 9 2017, 5:45 PM
Amire80 moved this task from Bugs to Out of Beta on the ContentTranslation board.